org.freedesktop.NetworkManager.Device.Wireless: NetworkManager Reference Manual

## org.freedesktop.NetworkManager.Device.Wireless org.freedesktop.NetworkManager.Device.Wireless — Wi-Fi Device. |

## Methods

    GetAccessPoints    (OUT ao    access_points);
    GetAllAccessPoints (OUT ao    access_points);
    RequestScan        (IN  a{sv} options);

## Signals

    AccessPointAdded   (o access_point);
    AccessPointRemoved (o access_point);

## Properties

    HwAddress             readable   s
    PermHwAddress         readable   s
    Mode                  readable   u
    Bitrate               readable   u
    AccessPoints          readable   ao
    ActiveAccessPoint     readable   o
    WirelessCapabilities  readable   u
    LastScan              readable   x

## Description

## Method Details

### The GetAccessPoints() method

    GetAccessPoints (OUT ao access_points);

DEPRECATED. Get the list of access points visible to this device. Note that this list does not include access points which hide their SSID. To retrieve a list of all access points (including hidden ones) use the GetAllAccessPoints() method.

`OUT ao `access_points``: | List of access point object paths.

### The GetAllAccessPoints() method

    GetAllAccessPoints (OUT ao access_points);

Get the list of all access points visible to this device, including hidden ones for which the SSID is not yet known.

`OUT ao `access_points``: | List of access point object paths.

### The RequestScan() method

    RequestScan (IN  a{sv} options);

Request the device to scan. To know when the scan is finished, use the "PropertiesChanged" signal from "org.freedesktop.DBus.Properties" to listen to changes to the "LastScan" property.

`IN a{sv} `options``: | Options of scan. Currently, 'ssids' option with value of "aay" type is supported.

## Signal Details

### The "AccessPointAdded" signal

    AccessPointAdded (o access_point);

Emitted when a new access point is found by the device.

`o `access_point``: | The object path of the newly found access point.

### The "AccessPointRemoved" signal

    AccessPointRemoved (o access_point);

Emitted when an access point disappears from view of the device.

`o `access_point``: | The object path of the access point that has disappeared.

## Property Details

### The "HwAddress" property

    HwAddress  readable   s

The active hardware address of the device.

DEPRECATED. Use the "HwAddress" property in "org.freedesktop.NetworkManager.Device" instead which exists since version NetworkManager 1.24.0.

### The "PermHwAddress" property

    PermHwAddress  readable   s

The permanent hardware address of the device.

### The "Mode" property

    Mode  readable   u

The operating mode of the wireless device.

Returns: NM80211Mode

### The "Bitrate" property

    Bitrate  readable   u

The bit rate currently used by the wireless device, in kilobits/second (Kb/s).

### The "AccessPoints" property

    AccessPoints  readable   ao

List of object paths of access point visible to this wireless device.

### The "ActiveAccessPoint" property

    ActiveAccessPoint  readable   o

Object path of the access point currently used by the wireless device.

### The "WirelessCapabilities" property

    WirelessCapabilities  readable   u

The capabilities of the wireless device.

Returns: NMDeviceWifiCapabilities

### The "LastScan" property

    LastScan  readable   x

The timestamp (in CLOCK_BOOTTIME milliseconds) for the last finished network scan. A value of -1 means the device never scanned for access points.

Since 1.12